#
# This can be made to monitor the widgets being represented
# in the tree so as to dynamically trap additions and deletions.
#
#
widgetView <-
function(top, callback = NULL, expand = TRUE)  
{
  win <- gtkWindow(show = FALSE)
  win$SetUsize(500,700)

   # Perhaps top should be a list of widgets, i.e. ...
   # and we can loop over them together.
  tr <- createWidgetTree(top, callback, expand = expand)

  h <- gtkHPaned()

  sw <- gtkScrolledWindow()
  sw$AddWithViewport(tr)
  h$Add(sw)
  sw$SetUsize(250, 700)
  sw <- gtkScrolledWindow()  
  html <- gtkHTML()
  sw$Add(html)

  h$Add(sw)
  
  win$Add(h)
  
  win$Show()
  
  invisible(win)
}

createWidgetTree <-
function(node, callback = NULL, display = function(x) class(x)[1], tree = gtkTree(), expand = FALSE)
{
  #
  # Recursively creates a Gtk tree displaying the 
  # hierarchy of a widget. 
  #
  #
  
  label <- display(node)
  item <- gtkTreeItem(label)
  if(expand)
    item$Expand()
  
  if(!is.null(callback))
    item$AddCallback("select", callback, node)

  tree$Append(item)

  if(inherits(node, "GtkContainer")) {
    kids <- gtkChildren(node)
    if(length(kids)) {
      tr <- gtkTree()
      for(i in kids) {
        tmp <- createWidgetTree(i, callback, display, tree = tr, expand = expand)    
      }
      item$SetSubtree(tr)
    }
  }
  
  tree
}

