dataViewer <-
function(data, win = gtkWindow(show = FALSE), title = deparse(sys.call()[[2]]),
          changed = NULL)
{
  library(RGtkExtra)
  showWin <- missing(win)

  sheet <- gtkSheetNew(nrow(data), ncol(data), title = title, show = FALSE)

  sheet$ShowColumnTitles()
  for(j in 1:ncol(data)) {
    sheet$SetColumnTitle(j-1, colnames(data)[j]) # Don't seem to be working
    for(i in 1:nrow(data)) {
      sheet$SetCellText(i-1, j-1, as.character(data[i,j]))
    }
  }

  sheet$Show()

  sw <- gtkScrolledWindow()
  sw$Add(sheet)   # Don't use AddWithViewport
  
  if(!is.null(win)) {
    win$Add(sw)
    if(showWin) {
      win$SetUsize(300, 300)
      win$Show()
    }
  }

  if(!is.null(changed)) {
    sheet$AddCallback("set-cell", function(sheet, i, j) {
         newVal <- sheet$CellGetText(i, j)
         if(data[i+1, j+1] != as.numeric(newVal))
           changed(sheet, i, j, newVal)
      })
  }

  list(sheet = sheet, win = win, sw = sw)
}
