createMenuBar <-
function(..., mbar = gtkMenuBar())
{
   args <- list(...)
   menus <- list()
   for(i in names(args)) {
     topMenu <- gtkMenuItem(i)
     menu <- createSimpleMenu(names(args[[i]]))
     topMenu$SetSubmenu(menu$menu)
     mbar$Append(topMenu)
     menus[[i]] <- menu
   }
   list(bar = mbar, menus = menus)
}  


createSimpleMenu <-
function(labels, callback = NULL)
{
  items <- list()
  
   mu <- gtkMenu()

   n <- length(labels)
   txt <- names(labels)

   for(i in 1:n) {
     noSubMenu <- (is.null(txt) || is.null(txt[i]) || txt[i] == "")
     lab <- ifelse(noSubMenu, labels[[i]], txt[i])
     if(noSubMenu && lab == "") {
        mu$Append(gtkMenuItemNew())
        next
     } else {
       item <- gtkMenuItem(lab)
       mu$Append(item)
     }
     if(!noSubMenu) {
       m <- createSimpleMenu(labels[[i]], callback = callback)
       item$SetSubmenu(m$menu)
     } else {
      if(!is.null(callback)) {
        gtkAddCallback(item, "activate", callback, data=labels[[i]], object = FALSE)
      } 
     }
     items[[i]] <- item
   }
   return(list(menu = mu, items = items))
}

