xmlTreeView <-
function(doc, createItem = function(x) gtkTreeItem(xmlName(x)))
{
  tr <- xmlView(doc, createItem = createItem)

  win <- gtkWindow(show = FALSE)
  
  win$SetUsize(300, 650)
  sw <- gtkScrolledWindow()
  sw$AddWithViewport(tr)
  win$Add(sw)

  win$Show()
  win
}

xmlView <-
function(doc, top = gtkTree(), createItem = function(x) gtkTreeItem(xmlName(x)))
{
  UseMethod("xmlView")
}

xmlView.default <-
function(doc, top = gtkTree(), createItem = function(x) gtkTreeItem(xmlName(x)))
{
  require(XML)
  xmlView(xmlTreeParse(as.character(doc)), top = top, createItem = createItem)
}

xmlView.XMLDocument <-
function(doc, top = gtkTree(), createItem = function(x) gtkTreeItem(xmlName(x)))  
{
   item <- gtkTreeItem(doc$doc$file)
   top$Append(item)

   tr <- xmlView(xmlRoot(doc), createItem = createItem)
   item$SetSubtree(tr)

   top
}  


xmlView.XMLNode <-
function(doc, top = gtkTree(), createItem = function(x) gtkTreeItem(xmlName(x)))  
{
  item <- createItem(doc)
  top$Append(item)
  
  if(xmlSize(doc)) {
     tr <- gtkTree()
     for(i in xmlChildren(doc)) {
       tmp <- xmlView(i, top = tr, createItem = createItem)
     }
     item$SetSubtree(tr)
   }

   top
}

