\name{CRANView}
\alias{CRANView}
\title{GUI for viewing & installing packagess on multiple repositories}
\description{
  This presents a GUI for browsing the list of R packages
  on one or more repositories such as CRAN, Omegahat, BioConductor.
  The packages are presented in a tree, grouped by repository.
  Selecting a package named displays its details taken
  from its DESCRIPTION file.
  One can also click on a button in that page to install
  that package.
}
\usage{
CRANView(mirrors = c(CRAN = contrib.url(CRAN),
                     Omegahat = "http://www.omegahat.org/download/R/packages",
                     BioConductor = "http://www.bioconductor.org/packages/release/distrib"),
         CRAN = getOption("CRAN"),
         pkgs = getRPackageInfo(mirrors, full = TRUE))
}
\arguments{
  \item{mirrors}{a named character vector containing elements of the form
      repository name and URL in which the packages are to be found.}
  \item{CRAN}{the URL identifying the location of the CRAN repository.
    By default, this is taken from the session's options,
    but one can specify a different mirror as one desires.}
  \item{pkgs}{information about the packages in the mirrors.
    This can be downloaded previously and passed to this function
    to avoid re-fetching the material over the network.}
}

\value{
  A list with elements
  \item{window}{the \code{GtkWindow} object which gives the display}
  \item{packages}{the package information which can be used in
    subsequent calls via the \code{pkgs} argument to avoid
     having to download the details again.}
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.omegahat.org/RGtkViewer},  
  \url{http://www.omegahat.org/RSDBI}
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}

\seealso{
\code{\link{getRPackageInfo}}
}

\examples{
\dontrun{
 CRANView()

 CRANView(c(Omegahat="http://www.omegahat.org/download/R/packages"))
}
}
\keyword{interface}

