\name{S4ClassView}
\alias{S4ClassView}
\title{GUI for S4 class hierarchy}
\description{
  This is the user-level entry point that
  provides a basic, but customizable, GUI for exploring
  an S4 class hierarchy, specifically:
  the class inheritance relationships,
  the slots within different classes
  and the methods defined for different classes.
}
\usage{
S4ClassView(classes = getClasses(where = where), where = get(SessionClassMetaData))
}
\arguments{
  \item{classes}{a list of the classes of interest.}
  \item{where}{if \code{classes} is not specified, this value can be
    used to identify a particular environment/library/package
    in which to find the classes.}
}
\details{
  
}
\value{
  The top-level Gtk GUI window displaying the class hierarchy.
  This is an object of class   \code{GtkWindow}.
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.omegahat.org/RSMethods/index.html}
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}
\note{
  This uses other functions to build the hierarchy
  and the Gtk tree to represent it.
  These can be used directly to create a customized
  version of this viewer, e.g.  embedded in a larger
  GUI, customized with different callbacks for the classes, etc.
}


\seealso{
  \code{\link{getS4ClassHierarchy}}
  \code{\link{showClassSlots}}
  \code{\link{getClassMethods}}
  \code{\link{showClassMethods}}
  \code{\link{createInheritanceTree}}  
}

\examples{
  library(methods)
  S4ClassView()
}
\keyword{GUI}
