\name{colorSchemeTree}
\alias{colorSchemeTree}
\alias{colorSchemesTree}
\alias{colorSchemesBySize}
\title{Create tree for color scheme}
\description{
  These functions create a \code{GtkTree}
  for the color scheme or list of color schemes.
  \code{colorSchemeTree} works on a single \code{ColorScheme}.
  \code{colorSchemesTree}
  arranges the color schemes into groups and shows
  these groups as sub-trees.
  By default, the groups it uses are the unique class names
  of the color schemes.
  \code{colorSchemesBySize} use \code{colorSchemesTree}
  but groups the schemes by the number of colors they
  support.  This makes it easier to select a scheme
  with a particular number of colors.
}
\usage{
colorSchemeTree(scheme, tree = gtkTree())
colorSchemesTree(schemes, top = gtkTree(), schemeCallback = NULL, group
= class, groupId = function(x,y) class(x)[1] == y)
colorSchemesBySize(schemes, top = gtkTree(), schemeCallback = NULL)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{scheme}{the \code{ColorScheme} to display.}
  \item{tree}{a \code{GtkTree} object to which to append the items.}
  \item{schemes}{the list of color scheme objects.}  
  \item{top}{the tree into which to append the new schemes items.}
  \item{schemeCallback}{the function that is registered with
    the \code{GtkTreeItem} representing a color scheme.
    This is invoked with two arguments:
    a list of length 2 and a \code{GtkWidget} giving the tree item.
    The list contains the \code{ColorScheme} object and its name.}
  \item{group}{a function that identifies the different `types' of
    schemes. This is used to group the schemes by
    class or by number or any other criterion.
    This is a function that takes a single argument which is the scheme.}
  \item{groupId}{a function used to identify the schemes within a
    particlar group. This is a function of two arguments,
    the first being the scheme and the second being the value
    by which they are being grouped.}  
}

\value{
  An object of class \code{GtkTree}.
}

\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.ggobi.org}
  \url{http://www.ggobi.org/data/colorschemes.xml}  
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}

\seealso{
\code{\link{colorSchemesView}}
}

\examples{

}
\keyword{graphics}
\keyword{GUI}
