\name{colorSchemesView}
\alias{colorSchemesView}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{GUI for examining (GGobi) color schemes}
\description{
  This is a GUI for examining a collection of
  (GGobi) color schemes.
  It presents the schemes hierarchically
  by type (divergent, sequential, qualitative, etc.),
  and within type by name, and within name
  it displays colors by name.
  When one selects a color scheme, it is rendered
}
\usage{
colorSchemesView(schemes, schemeCallback = NULL)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{schemes}{a list of color schemes to display.}
  \item{schemeCallback}{ a function to be registered with the
    \code{GtkTreeItem} for the \code{select} event/signal.
    This is expected to "display" the scheme.
    It is called with a list as the first argument and the
    \code{GtkTreeItem} as the second argument.
    The list contains 2 elements: the \code{ColorScheme} object,
    and the name of the scheme.}
}
\details{
  This uses the \code{gtkDev} package
  to create an embedded graphics device within a
  Gtk GUI.
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.ggobi.org}
  \url{http://www.ggobi.org/data/colorschemes.xml}  
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}

\value{
 A list containing the \code{GtkWindow} object
}

\seealso{
  \code{\link{colorSchemesTree}}
  \code{\link{colorSchemeTree}}
}

\examples{
\dontrun{
 require(Rggobi)
 schemes <- readXMLColorSchemes("http://www.ggobi.org/data/colorschemes.xml")
 colorSchemesView(schemes)
}
}
\keyword{graphics}
\keyword{GUI}
