\name{createDatabaseTree}
\alias{createDatabaseTree}
\title{General function for creating Gtk trees from DBMS schema}
\description{
  This is a utility function that is used to centralize
  computations to construct a Gtk tree for representing
  different parts of the contents of a DBMS.
  It relies on being parameterized with functions
  that handle computing the elements for the given level,
  processing the resulting tree item nodes and
  also callbacks for when the object is selected or not.

  This is not used in the more efficient ``lazy''
  database tree which computes the sub-trees dynamically
  on demand.
}
\usage{
createDatabaseTree(x, callbacks = NULL, children = NULL, ancestors = character(), expands = NULL, itemHandlers = NULL)
}
\arguments{
  \item{x}{a character vector giving the nodes to be created for this level}
  \item{callbacks}{currently ignored!. A list of callbacks to register
    with the nodes. 
   }
  \item{children}{}
  \item{ancestors}{}
  \item{expands}{}
  \item{itemHandlers}{}
}

\value{
 A \code{GtkTree} object.
}

\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.omegahat.org/RSDBI}
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}
\seealso{
 \code{\link{databaseView}}
}

\examples{

}
\keyword{GUI}
\keyword{database}