\name{createInheritanceTree}
\alias{createInheritanceTree}
\title{Create a GtkTree to represent a hierarchy}
\description{
  This is a recursive function that creates a
  \code{GtkTree} from the specified
  hierarchy, starting at the specified node.
}
\usage{
createInheritanceTree(hier, el = hier[["NA"]][1], top = gtkTree(), callback = NULL)
}
\arguments{
  \item{hier}{the overall hierarchy information}
  \item{el}{the node at which to start}
  \item{top}{the tree into which to add the nodes}
  \item{callback}{the callback function to register
   with the \code{select} signal for each node that is created.}
}

\value{
  A list
  \item{item}{the \code{GtkTreeItem}}
  \item{subTree}{the sub-tree associated with the node \code{item}}
  \item{tree}{the top-level \code{GtkTree} object}
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}


\seealso{
 \code{\link{showGtkInheritance}}
}

\examples{

}
\keyword{GUI}

