\name{createWidgetTree}
\alias{createWidgetTree}
\title{Create GtkTree displaying widget hierarchy.}
\description{
  This creates a \code{GtkTree} by recursively traversing
  the children within a Gtk widget and creating
  a parallel or mirror node for each widget in the existing
  tree. It allows the caller to specify the \code{select} callback
  for each node.
}
\usage{
createWidgetTree(node, callback = NULL, display = function(x) class(x)[1], tree = gtkTree(), expand = FALSE)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{node}{the \code{GtkWidget} from which to start.}
  \item{callback}{the callback function to register as a \code{select}
    signal handler for each node.}
  \item{display}{a function that is called to compute the label
    to display for a node in the tree given the corresponding widget
    in the original hierarchy. This can be used to create different
    visual content.}
  \item{tree}{the tree to which new nodes should be added.}
  \item{expand}{a logical value indicating whether the
    tree should be created with its sub-nodes already expanded.
    This is currently ignored.}
}

\value{
 A  \code{GtkTree} object.
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}
\seealso{
 \code{\link{showGtkInheritance}}
}

\examples{

}
\keyword{GUI}
