\name{dataViewer}
\alias{dataViewer}
\title{Data Grid Viewer}
\description{
  Displays a data frame in a spreadsheet like data grid
  display. This allows the user to edit the cells
  and have a function be invoked when any value is changed.
}
\usage{
dataViewer(data, win = gtkWindow(show = FALSE), title = deparse(sys.call()[[2]]), changed = NULL)
}
\arguments{
  \item{data}{the data frame to be dislayed}
  \item{win}{the window in which to display the data grid. If this is
    NULL, just the scrolled window containing the data grid/sheet is
    created. It is up to the caller to put that within
    a GUI.
  }
  \item{title}{the title to use when creating the \code{GtkSheet} object.}
  \item{changed}{a function that is called if the user changes any cell
    in the sheet from its previous value.
    This is called with 4 arguments:
    the sheet object, the row and column indices (starting at 0),
    and the new value given as a string.
    If the function needs access to the data frame, it
    should capture this in its environment when it is created.
  }
}
\value{
  A list giving the created components:
  \item{sheet}{the \code{GtkSheet} object}
  \item{sw}{the scrolled window widget containing the sheet}
  \item{win}{the value of the \code{win} argument.}
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.ggobi.org}
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}
\note{The column and row titles don't seem to be appearing}

\seealso{
 \code{\link[RGtkExtra]{gtkSheetNew}}
}
\examples{
 data(mtcars)
 dataViewer(mtcars)
}
\keyword{interface}


