\name{databaseTreeView}
\alias{databaseTreeView}
\alias{databaseLazyTreeView}
\title{Core utility to create view of DBMS structure}
\description{
  These functions are the core for creating
  the \code{GtkTree}  for displaying the structured hierarcy of
  a Relational Database Management Server (RDBMS).
  \code{databaseTreeView} computes all the nodes
  before displaying the tree.
  \code{databaseLazyTreeView}
  works lazily and only builds sub-trees
  when they are ``opened'' by the user.
  It does this by creating regular nodes for the top-level
  databases and then associating a callback with
  that node so that when it is expanded
  the next level of nodes are created and so on.
}
\usage{
databaseTreeView(con, callbacks = NULL, top = gtkTree(), databases = getDatabaes(con)[, 1], itemHandlers = NULL)
databaseLazyTreeView(con, callbacks = NULL, top = gtkTree(), databases = getDatabases(con)[,1], itemHandlers = NULL)
}
\arguments{
  \item{con}{the database connection object. See \code{\link[RMySQL]{dbConnect}}.}
  \item{callbacks}{currently ignored.}
  \item{top}{the (top-level) tree into which to put the databases.
    By specifying this here, one can merge the contents of two RDBMS
    into the same tree.}
  \item{databases}{a vector giving the names of the databases to
    include.
    This allows one to specify a subset of the available databases
  if one is not interested in the others}
\item{itemHandlers}{a list of functions that are invoked
  at the different levels when the nodes in the tree are being created
  and these allow on to customize the behavior and appearance of the
  nodes.
  }
}

\value{
 A \code{GtkTree} object.
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.omegahat.org/RSDBI},  
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}

\seealso{
 \code{\link{databaseView}}
}

\examples{

}
\keyword{GUI}
\keyword{database}
