\name{getClassMethods}
\alias{getClassMethods}
\title{Compute methods associated with a class}
\description{
  This finds all methods currently defined
  that have some connection with the specified
  class. Specifically, this finds
  methods that have a signature that includes,
  directly or by inheritance, the given class.
}
\usage{
getClassMethods(className, inherited = TRUE)
}
\arguments{
  \item{className}{the name of the class for which to find all
    associated methods.}
  \item{inherited}{a logical value passed to \code{\link[methods]{linearizeMlist}}}
}
\value{
  A list whose names are the names of the generic
  functions, and whose elements are
  linearized \code{MethodList} objects
  containing the methods that have a signature
  which relates to the specified class.
}

\seealso{
  \code{\link{S4ClassView}}
  \code{\link{showClassMethods}}  
}

\examples{
}
\keyword{methods}
