\name{getPropertyInfo}
\alias{getPropertyInfo}
\title{Compute meta-data for Argument/Property of Gtk class}
\description{
  This computes the meta-data for the
  argument or property data of a Gtk class.
}
\usage{
getPropertyInfo(type, ...)
}
\arguments{
  \item{type}{the name or \code{GtkType} of the Gtk class of interest.}
  \item{\dots}{arguments passed to \code{\link[RGtk]{gtkObjectGetArgInfo}}}
}
\details{
 This uses \code{\link[RGtk]{gtkObjectGetArgInfo}}.
}
\value{

  A list with  an element for each of the inherited Gtk
  classes (and the \code{type} class itself).
  Each element is itself a named list with an element for each of the
  properties defined within that class.
  The names are the class name concatenated with the property name
  and separated by \code{::} (e.g. \code{GtkContainer::child}).
  Each element within this level describes a property
  and has 2 fields:
  \item{type}{the name of the Gtk type that this property holds}
  \item{flag}{a flag indicating when it can be set, etc.}

  See \code{\link[RGtk]{gtkObjectGetArgInfo}}.
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}

\seealso{
  \code{\link{showGtkInheritance}}
 \code{\link[RGtk]{gtkObjectGetArgInfo}}
}

\examples{

}
\keyword{GUI}
