\name{getRPackageInfo}
\alias{getRPackageInfo}
\title{Fetch information about R packages from a repository}
\description{
  This downloads the PACKAGES files
  from the specified repositories and
  reads them as a DCF file
  and returns the information as a list.
}
\usage{
getRPackageInfo(mirrors = c(CRAN = contrib.url(CRAN), Omegahat = "http://www.omegahat.org/download/R/packages", BioConductor = "http://www.bioconductor.org/packages/release/distrib", ), CRAN = getOption("CRAN"), full = FALSE, ...)
}
\arguments{
  \item{mirrors}{the named list of repository URLs. These names are used
    to index the results}
  \item{CRAN}{the location of the CRAN mirror which is used in the default value
  of \code{mirrors}.}
\item{full}{if \code{TRUE}, this fetches all the fields from the DCF.
   Otherwise, just the fields returned by \code{\link[base]{CRAN.packages}}.}
 \item{\dots}{additional arguments that are passed to
     \code{\link[base]{download.file}} if \code{full} is \code{TRUE}}
}

\value{
  A list with elements correpsonding to those
  in the \code{mirrors} argument, i.e. with the same names as that vector.
  Each element is a character vector containing the lines
  from the PACKAGES file for that repository.
}

\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.omegahat.org/RGtkViewer},  
  \url{http://www.omegahat.org/RSDBI}
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}

\seealso{
 \code{\link{CRANView}}
}

\examples{

}
\keyword{interface}

