\name{getS4ClassHierarchy}
\alias{getS4ClassHierarchy}
\title{Compute S4 class inheritance information}
\description{
  This creates a data structure describing the
  S4 class hierarchy informaion in a suitable format
  for \code{link{createInheritanceTree}}
  to process and create a visual display of the relationships between
  the classes.
}
\usage{
getS4ClassHierarchy(classes = getClasses())
}

\arguments{
  \item{classes}{a character vector giving the names of the classes of
    interest. By default, all session-level classes are used.
    One can specify a subset of this list, or entirely different
    class located in another package/environment.}
}
\details{
  This is a simple iteration over the class names that
  adds each class to a its ancestor's list of child classes.
  
}
\value{
  A list with an element for each of the classes
  in \code{classes} and any parent or base classes
  that they directly or indirectly descend from.
  Each element, say A, is a simple character vector giving
  the names of the classes that are directly derived from the
  particular class, A.
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}
\references{
 \url{http://www.omegahat.org/RGtk}
}
\seealso{
  \code{\link{createInheritanceTree}}
  \code{\link{S4ClassView}}  
}

\examples{

}
\keyword{GUI}
\keyword{methods}
