\name{getSlotHTMLTable}
\alias{getSlotHTMLTable}
\title{Generate HTML displaying Gtk class information}
\description{
   Compute the HTML text for displaying the slot information for 
   the specified class.
   The complete and combined arguments control if and how we group
   information about inherited slots.
   If combined is FALSE, then we get separate tables for each
   of the ancestor/base classes in the inheritance hierarchy

   Alternatively, if combined is TRUE, then if complete is TRUE,
   we put all the slots - inherited and defined locally with the class -
   together into a single table, but color code each slot by the class
   in which it was defined.
   See \code{\link{formatClassSlots}}.  
}
\usage{
getSlotHTMLTable(className, complete = TRUE, combined = FALSE)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{className}{the name of the class whose slots are to be found and
    described.}
  \item{complete}{a logical value indicating whether
    to get the slots that are inherited from base/ancestor classes (\code{TRUE})
    or just work with the slots defined explicitly by this class
    (\code{FALSE}).
   If this is \code{FALSE}, \code{combined} is not relevant.}
 \item{combined}{a logical value indicating how to present
   the inherited slots relative to the directly defined slots.
   If this is \code{TRUE}, all slots are displayed in a single HTML
   table and the slots are color coded to match the class name (shown in
   a simple hierarchy made up of links).
   If this is \code{FALSE}, then there is a separate table for each of
   the   ancestor classes.
 }
}
\details{
}
\value{
 A HTML string.
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.omegahat.org/RSMethods/index.html}  
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}

\seealso{
\code{\link{formatClassSlots}}
}

\examples{

}
\keyword{GUI}

