\name{parseFormURL}
\alias{parseFormURL}
\title{Creates named character vector from HTML POST form query string}
\description{
  This parses a query string
  generated by an HTML form  using the
  POST  method and converts it into
  its consituent elements.
  Essentially this breaks the string at the
  \code{&} and tries to handle the
  basic substitutions to create
  a collection of name-value pairs.
  Since these are all strings, the result is
  a named character vector.

  This is somewhat incomplete but works for basic
  strings.
}
\usage{
parseFormURL(url)
}
\arguments{
  \item{url}{the encoded string to be parsed}
}
\details{
  If we had a form with say,
  2 input elements with \code{name} attributes
  given by \code{foo} and \code{bar}.
  And suppose that the user selects/specifies values
  1 and "abc".
  Then, the string will be delivered as
  \code{?foo=1?bar=abc}.
  This is converted to
  \code{c(foo="1", bar="abc")}
}  

\value{
 A named character vector
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}
\seealso{
\code{\link{viewHtml}}
}

\examples{

}
\keyword{HTML}

