\name{showClassMethods}
\alias{showClassMethods}
\alias{showClassSlots}
\title{Display fields or methods of a class}
\description{
  Display information about the methods or slots
  for an S4-style class
}
\usage{
 showClassMethods(mlist, glist, callback, className)
 showClassSlots(className, html)
}

\arguments{
  \item{mlist}{a list of the different methods to display.
    This is a named list of methods for different functions.
    Each element is itself a \code{MethodList} object.
    These should have been ``linearized'' and usually
    this function will be called with the results
    from \code{\link{getClassMethods}}.}
  \item{glist}{a \code{GtkList} object used
     to display the 
    names of the functions for which there are methods in
    \code{mlist}.}
  \item{callback}{a callback function that is registered with
    each element in the \code{glist} and which is called when
  that element is ``selected'' by the user.}
  \item{className}{the name of the class being displayed or documented
    and for which the methods have been found.
   This is used in the callback function data.}
  \item{html}{the \code{GtkHTML} widget used to display the slot
    information for the particular class.}
}
\details{

}
\value{
  In both cases, the side effect of updating the
  GUI is the desired result.
  \code{showClassSlots} returns the HTML text.
  \code{showClassMethods} returns a list of the
  \code{GtkListItem}s created to display the names
  of the generic functions for which there are methods
  for the given class.
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.omegahat.org/RSMethods/index.html}
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}

\seealso{
  \code{\link{getClassMethods}}
  \code{\link{S4ClassView}}
}

\examples{

}
\keyword{GUI}
\keyword{methods}
