\name{showGtkInheritance}
\alias{showGtkInheritance}
\title{GUI for browsing Gtk class hierarchy}
\description{
  This is the user-level entry point for
  a GUI allowing one to browse the Gtk class hierarchy.
  It provides an tree displaying
  the Gtk classes arranged hierarchically
  illustrating the inheritance relationships.
  One can interactively select a class
  to update HTML displays providing information
  about the class.
  One HTML display gives the types of signals or event 
  that Gtk object can emit and what information
  is provided in the callbacks.
  The other lists the properties or arguments
  and their expected type
  that are known for the Gtk class.

  This is a useful tool for learning about Gtk
  and a reference tool when programming.
}
\usage{
showGtkInheritance(klasses = .GtkClasses)
}
\arguments{
  \item{klasses}{a list of the classes used to construct
    the Gtk class inheritance hierarchy information.
    By default, we use all classes. However, one can
    give a shorter vector of class names
    to provide a more focussed interface.
    }
}

\value{
  The top-level Gtk GUI window displaying the class hierarchy.
  This is an object of class   \code{GtkWindow}.
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}
\seealso{
  \code{\link{getGtkInheritance}}
  \code{\link{createInheritanceTree}}
  \code{\link{getPropertyInfo}}
  \code{\link{propertyInfoToHTML}}
  \code{\link{signalInfoToHTML}}  
}

\examples{
 showGtkInheritance()
}
\keyword{GUI}

