\name{sourceManager}
\alias{sourceManager}
\title{GUI for indexing functions by source file}
\description{
  This is a simple little GUI that uses
  the \code{\link[FileManager]{}}
  package to provide a display
  of which functions are defined in which files.
  By clicking on the name of the function,
  one gets a display of the S function.
  (In the near future, this will be rendered
  with color and links in the HTML document.)
  There are two control panels presented in a notebook.
  One displays the files as the top-level nodes in a tree
  and the functions defined within a file as the sub-nodes
  of that file's node.
  In the second view, a (sorted) list of the functions are
  displayed in a list. Mousing over an element
  displays the associated file in which the function is defined
  in the status bar at the bottom of that panel.
  Selecting an element in the list shows the definition of the
  function in the HTML widget on the right hand side of the GUI.
}
\usage{
sourceManager(dir = "R", ...)
}
\arguments{
  \item{dir}{the directory containing the source code.}
  \item{\dots}{additional arguments that are currently ignored.}
}
\value{
  The top-level Gtk GUI window displaying the class hierarchy.
  This is an object of class   \code{GtkWindow}.
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}
\seealso{
 \code{\link[FileManager]{functionDirectory}}
}

\examples{

}
\keyword{GUI}

