\name{viewHtml}
\alias{viewHtml}
\title{Basic R-Gtk HTML Browser}
\description{
  This is a simple browser-like HTML viewer
  that provides a way to
  display HTML content,
  create emebedded R ``applets'',
  and process links and forms.
  It provides a history menu, a text field
  for specifying a file name,
  and a status bar.
}
\usage{
viewHtml(fileName = system.file("examples", "form.html", package = "RGtk"), createWindow = TRUE,
           objectHandler = embeddedObjectHandler, linkHandler = NULL, formHandler = NULL,
            imageHandler = htmlLoadImage)
}
\arguments{
  \item{fileName}{the name of the file (or the HTML content directly) to
   display}
 \item{createWindow}{a logical value indicating whether to
   create a top-level window and display the HTML widget there
   or just create the basic HTML widget and return that so it
 can be included in a larger/different GUI.}
  \item{objectHandler}{the function that is to be used for handling
    \code{<OBJECT>} tags, or more specifically
    \code{object-requested} signals from the \code{GtkHTML} object.}
  \item{linkHandler}{a function that is used as a callback for handling
    links within the document. It is called with 2 arguments: the widget
    and the name of the link being requested.
  }
  \item{formHandler}{the function that is used as a callback for
    processing forms, or more specifically \code{submit} signals.}
  \item{imageHandler}{callback for the url-requested signal to load an image.}
}
\value{
  A list containing the different elements
  \item{win}{the top-level \code{GtkWindow} object.}
  \item{html}{the \code{GtkHTML} object used for displaying the
    content.}
  \item{callbackIds}{the handles/identifiers for the
    signal handlers for the \code{link} and \code{submit} signals.
    These can be used to remove the handlers and/or add new ones.}
  \item{load}{a function that can be used to load a new file
    and that takes care of adding to the history list, etc.}
  \item{setStatus}{a function that can be used to display a message
    in the status bar. It should be called with the string to display,
     (or a collection of values that are pasted together separated by a
     single space).}
}
\references{
  \url{http://www.omegahat.org/RGtk},
  \url{http://www.gtk.org}
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}

\seealso{
 \code{\link{embeddedObjectHandler}}
}

\examples{
 viewHtml()
}
\keyword{GUI}

