\name{widgetView}
\alias{widgetView}
\title{GUI for exploring widget hierarchy for a Gtk GUI}
\description{
  This is the top-level user entry point for
  a tool that displays the hierarchical structure
  of widgets within a particular Gtk GUI.
  It can be used as a simple device
  for learning how existing GUIs have been constructed.
  It can also be customized to provide facilities
  for interactively modifying aspects
  of a GUI after it has been created,
  as an \code{editres}-like facility.
}
\usage{
widgetView(top, callback = NULL, expand = TRUE)
}
\arguments{
  \item{top}{the top-most widget of the hierarchy. This must be an
    object of class \code{GtkWidget}, and presumably of class
    \code{GtkContainer} to have any children.
    }
  \item{callback}{A callback function that is to be registered for each
    node (tree item) in the tree which is called when it is selected.
    This is used to customize the behavior and utility of the tree.}
  \item{expand}{a logical value indicating whether the
    sub-nodes are to be expanded in the initial view.
   (This currently does not work as one might expect!)}
}

\value{
  The top-level Gtk GUI window displaying the class hierarchy.
  This is an object of class   \code{GtkWindow}.
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}
\references{
 \url{http://www.omegahat.org/RGtk}
}


\seealso{
  \code{\link[RGtk]{gtkChildren}}
  \code{\link[RGtk]{gtkChildren}}  
}

\examples{
 tmp <- viewHtml(system.file("examples", "form.html"))
 widgetView(tmp$win)
}
\keyword{GUI}

