\name{xmlView}
\alias{xmlView}
\alias{xmlView.default}
\alias{xmlView.XMLDocument}
\alias{xmlView.XMLNode}
\title{Methods for creating Gtk tree representing XML document/nodes}
\description{
  These are methods for processing the different
  parts of an XML document, ranging from the
  URI name to the document to the individual nodes.
  These work recursively and allow the caller to specify
  a function for creating the widget representing a node.
}
\usage{
xmlView(doc, top = gtkTree(), createItem = function(x) gtkTreeItem(xmlName(x)))
xmlView.default(doc, top = gtkTree(), createItem = function(x) gtkTreeItem(xmlName(x)))
xmlView.XMLDocument(doc, top = gtkTree(), createItem = function(x) gtkTreeItem(xmlName(x)))
xmlView.XMLNode(doc, top = gtkTree(), createItem = function(x) gtkTreeItem(xmlName(x)))
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{doc}{the hierarchical object,
    possibly a URI giving the name of document to parse,
    an \code{XMLDocument} object from \code{\link[XML]{xmlTreeParse}}
    or an \code{XMLNode} object.}
  \item{top}{the tree into which to add the different nodes/tree items}
  \item{createItem}{a function that is used to create the
    \code{GtkTreeItem} from the \code{XMLNode} object.
    This makes it easy to create different views of the
    nodes and to specify any callbacks to customize the behavior of
    the nodes in the tree.}
}
\details{
 This is a simple recursive mechanism.
}
\value{
 A \code{GtkTree} object.
}

\author{Duncan Temple Lang <duncan@research.bell-labs.com>}
\references{
  \url{http://www.omegahat.org/RGtk}
  \url{http://www.omegahat.org/RSXML}  
}
\seealso{
 \code{\link{xmlTreeView}}  
 \code{\link[XML]{xmlTreeParse}}
}

\examples{
 
}
\keyword{GUI}
